package services

import (
	"errors"
	"github.com/aliyun/aliyun-oss-go-sdk/oss"
	"time"

	"eta/eta_report/utils"
)

// UploadAliyunToDir 上传至hzchart
func UploadAliyunToDir(filename, filepath, uploadDir, fileDir string) (string, error) {
	if utils.AccessKeyId == `` {
		return "0", errors.New("阿里云信息未配置")
	}
	client, err := oss.New(utils.Endpoint, utils.AccessKeyId, utils.AccessKeySecret)
	if err != nil {
		return "1", err
	}
	bucket, err := client.Bucket(utils.Bucketname)
	if err != nil {
		return "2", err
	}
	if uploadDir == "" {
		uploadDir = utils.UploadDir
	}
	if fileDir == "" {
		fileDir = time.Now().Format("200601/20060102/")
	}
	path := uploadDir + fileDir
	path += filename
	err = bucket.PutObjectFromFile(path, filepath)
	if err != nil {
		return "3", err
	}
	path = utils.Imghost + path
	return path, err
}
